<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      /*
       * Даний скрипт не виконується повністю, тому що виникає помилка
       *
       * Виводити помилку в консоль без блокування всього скрипта
       *
       */
      try {
        const button = document.querySelector("button");
      button.addEventListener("click", function () {
        console.log("button is clicked");
      });
      } catch(err) {
        console.log(err.name);
      }

    </script>
  </body>
</html>
